CREATE TABLE IF NOT EXISTS member_permissions (
  member_id             UUID NOT NULL,
  resource_action_id    UUID NOT NULL,
  created_at            BIGINT NOT NULL DEFAULT (extract(epoch from now()) * 1000),
  PRIMARY KEY (member_id, resource_action_id),
  CONSTRAINT fk_member_permissions_member_id
    FOREIGN KEY(member_id) 
	    REFERENCES members(id),
  CONSTRAINT fk_member_permissions_resource_action_id
    FOREIGN KEY(resource_action_id) 
	    REFERENCES resource_actions(id)
);

CREATE INDEX idx_member_permissions_resource_action_id ON member_permissions (resource_action_id);
CREATE INDEX idx_member_permissions_member_id ON member_permissions (member_id);
